Status: Closed

Priority: High

Assignee: Even Rouault

Category: Data Provider/PostGIS

Affected QGIS version:2.18.16 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:Yes Copied to github as #: 16912

Description

Loading PostGIS native rasters through DB Manager is slow but effective. When loading an out-of-db (registered through -R option of

raster2pgsql), I get a crash with current master:

Fatal: QGIS died on signal 11

Stacktrace (piped through c++filt):

/usr/bin/qgis.bin(myMessageOutput(QtMsgType, char const*)+0xb1)[0x4fed21]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(qt_message_output(QtMsgType, char const*)+0x30)[0x7fe373827450]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x718b8)[0x7fe3738278b8]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(qFatal(char const*, ...)+0x94)[0x7fe373827a44]

/lib/x86_64-linux-gnu/libc.so.6(+0x35310)[0x7fe370859310]

/lib/x86_64-linux-gnu/libc.so.6(+0x132260)[0x7fe370956260]

/usr/lib/libgdal.so.1(PostGISRasterRasterBand::IReadBlock(int, int, void*)+0x3b6)[0x7fe3754c8d86]

/usr/lib/libgdal.so.1(GDALRasterBand::GetLockedBlockRef(int, int, int)+0x139)[0x7fe3755928f9]

/usr/lib/libgdal.so.1(GDALRasterBand::IRasterIO(GDALRWFlag, int, int, int, int, void*, int, int, GDALDataType, int,

int)+0x238)[0x7fe37559f768]

/usr/lib/libgdal.so.1(GDALRasterBand::ComputeStatistics(int, double*, double*, double*, double*, int (*)(double, char const*,

void*), void*)+0x6b3)[0x7fe375593fd3]

/usr/lib/libgdal.so.1(GDALRasterBand::GetStatistics(int, int, double*, double*, double*, double*)+0x1fe)[0x7fe37558fdde]

/usr/lib/qgis/plugins/libgdalprovider.so(QgsGdalProvider::bandStatistics(int, int, QgsRectangle const&,

int)+0x3bd)[0x7fe353e7ad2d]

/usr/lib/libqgis_core.so.1.9.0(QgsRasterInterface::initHistogram(QgsRasterHistogram&, int, int, double, double, QgsRectangle

const&, int, bool)+0x87)[0x7fe374cc69f7]

/usr/lib/qgis/plugins/libgdalprovider.so(QgsGdalProvider::histogram(int, int, double, double, QgsRectangle const&, int,

bool)+0x118)[0x7fe353e7a138]

/usr/lib/libqgis_core.so.1.9.0(QgsRasterInterface::cumulativeCut(int, double, double, double&, double&, QgsRectangle const&,

int)+0x51)[0x7fe374cc6571]

/usr/lib/libqgis_core.so.1.9.0(QgsRasterLayer::setContrastEnhancement(QgsContrastEnhancement::ContrastEnhancementAlgorithm, QgsRaster::ContrastEnhancementLimits, QgsRectangle, int, bool)+0x78c)[0x7fe374cd3b8c]
/usr/lib/libqgis_core.so.1.9.0(QgsRasterLayer::setDefaultContrastEnhancement()+0x2bb)[0x7fe374cd43db]
/usr/lib/libqgis_core.so.1.9.0(QgsRasterLayer::QgsRasterLayer(QString const&, QString const&, QString const&, bool)+0x1ab)[0x7fe374cd4d9b]
/usr/bin/qgis.bin(QgisApp::addRasterLayerPrivate(QString const&, QString const&, QString const&, bool, bool)+0x85)[0x52ec55]
/usr/bin/qgis.bin(QgisApp::dropEvent(QDropEvent*)+0x327)[0x534e17]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QWidget::event(QEvent*)+0xadc)[0x7fe372d292fc]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QMainWindow::event(QEvent*)+0x6b)[0x7fe3730f0e0b]
/usr/bin/qgis.bin(QgisApp::event(QEvent*)+0x11)[0x534f81]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::notify_helper(QObject*, QEvent*)+0xac)[0x7fe372cdc0ec]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::notify(QObject*, QEvent*)+0xae3)[0x7fe372cdf403]
/usr/lib/libqgis_core.so.1.9.0(QgsApplication::notify(QObject*, QEvent*)+0x5b)[0x7fe374acda9b]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::notifyInternal(QObject*, QEvent*)+0x8e)[0x7fe37392e3ae]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x2543f1)[0x7fe372d663f1]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x254815)[0x7fe372d66815]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x254a00)[0x7fe372d66a00]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplicationPrivate::sendThroughApplicationEventFilters(QObject*, QEvent*)+0x9a)[0x7fe37392e47a]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::notify_helper(QObject*, QEvent*)+0x26)[0x7fe372cdc066]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::notify(QObject*, QEvent*)+0x99b)[0x7f

hm, QgsRaster::ContrastEnhancementLimits, QgsRectangle, int, bool)+0x78c)[0x7fe374cd3b8c]

/usr/lib/libqgis_core.so.1.9.0(QgsRasterLayer::setDefaultContrastEnhancement()+0x2bb)[0x7fe374cd43db]

/usr/lib/libqgis_core.so.1.9.0(QgsRasterLayer::QgsRasterLayer(QString const&, QString const&, QString const&,

bool)+0x1ab)[0x7fe374cd4d9b]

/usr/bin/qgis.bin(QgisApp::addRasterLayerPrivate(QString const&, QString const&, QString const&, bool, bool)+0x85)[0x52ec55]

/usr/bin/qgis.bin(QgisApp::dropEvent(QDropEvent*)+0x327)[0x534e17]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QWidget::event(QEvent*)+0xadc)[0x7fe372d292fc]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QMainWindow::event(QEvent*)+0x6b)[0x7fe3730f0e0b]

/usr/bin/qgis.bin(QgisApp::event(QEvent*)+0x11)[0x534f81]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::notify_helper(QObject*, QEvent*)+0xac)[0x7fe372cdc0ec]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::notify(QObject*, QEvent*)+0xae3)[0x7fe372cdf403]

/usr/lib/libqgis_core.so.1.9.0(QgsApplication::notify(QObject*, QEvent*)+0x5b)[0x7fe374acda9b]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::notifyInternal(QObject*, QEvent*)+0x8e)[0x7fe37392e3ae]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x2543f1)[0x7fe372d663f1]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x254815)[0x7fe372d66815]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x254a00)[0x7fe372d66a00]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplicationPrivate::sendThroughApplicationEventFilters(QObject*,

QEvent*)+0x9a)[0x7fe37392e47a]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::notify_helper(QObject*, QEvent*)+0x26)[0x7fe372cdc066]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::notify(QObject*, QEvent*)+0x99b)[0x7fe372cdf2bb]

/usr/lib/libqgis_core.so.1.9.0(QgsApplication::notify(QObject*, QEvent*)+0x5b)[0x7fe374acda9b]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::notifyInternal(QObject*, QEvent*)+0x8e)[0x7fe37392e3ae]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*,

QWidget**, QPointer<QWidget>&, bool)+0x14b)[0x7fe372ce218b]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x242b94)[0x7fe372d54b94]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::x11ProcessEvent(_XEvent*)+0xb11)[0x7fe372d53921]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x26bea2)[0x7fe372d7dea2]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x135)[0x7fe36f15ed95]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x490d8)[0x7fe36f15f0d8]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x34)[0x7fe36f15f194]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x66)[0x7fe37395cce6]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x26bf9e)[0x7fe372d7df9e]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x2f)[0x7fe37392d0ff]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0x138)[0x7fe37392d388]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x253e26)[0x7fe372d65e26]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QDrag::exec(QFlags<Qt::DropAction>, Qt::DropAction)+0x68)[0x7fe372cedcd8]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAbstractItemView::startDrag(QFlags<Qt::DropAction>)+0x147)[0x7fe3731ec657]
/usr/lib/python2.7/dist-packages/PyQt4/QtGui.so(+0x24e6d1)[0x7fe3491466d1]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAbstractItemView::mouseMoveEvent(QMouseEvent*)+0x316)[0x7fe3731ed1c6]
/usr/lib/python2.7/dist-packages/PyQt4/QtGui.so(+0x233a6b)[0x7fe34912ba6b]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QWidget::event(QEvent*)+0x95b)[0x7fe372d2917b]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QFrame::event(QEvent*)+0x26)[0x7fe3730d7a36]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAbstractItemView::viewportEvent(QEvent*)+0x40b)[0x7fe3731ed9bb]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QTreeView::viewportEvent(QEvent*)+0x131)[0x7fe37322d611]
/usr/lib/python2.7/dist-packages/PyQt4/QtGui.so(+0x230afb)[0x7fe349128afb]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*)+0x86)[0x7fe37392e516]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::notify_helper(QObject*, QEvent*)+0x7c)[0x7fe372cdc0bc]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::notify(QObject*, QEvent*)+0x99b)[0x7fe372cdf2bb]
/usr/lib/libqgis_core.so.1.9.0(QgsApplication::notify(QObject*, QEvent*)+0x5b)[0x7fe374acda9b]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::notifyInternal(QObject*, QEvent*)+0x8e)[0x7fe37392e3ae]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool)+0x14b)[0x7fe372ce218b]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x242b94)[0x7fe372d54b94]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::x11ProcessEvent(_XEvent*)+0xb11)[0x7fe372d53921]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x26bea2)[0x7fe372d7dea2]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x135)[0x7fe36f15ed95]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x490d8)[0x7fe36f15f0d8]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x34)[0x7fe36f15f194]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x66)[0x7fe37395cce6]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x26bf9e)[0x7fe372d7df9e]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x2f)[0x7fe37392d0ff]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0x138)[0x7fe37392d388]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x86)[0x7fe373932a66]
/usr/bin/qgis.bin(main+0x2215)[0x4faca5]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5)[0x7fe370845a55]
/usr/bin/qgis.bin[0x4feab9]


6)[0x7fe37395cce6]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x26bf9e)[0x7fe372d7df9e]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x2f)[0x7fe37392d0ff]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0x138)[0x7fe37392d388]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x253e26)[0x7fe372d65e26]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QDrag::exec(QFlags<Qt::DropAction>, Qt::DropAction)+0x68)[0x7fe372cedcd8]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAbstractItemView::startDrag(QFlags<Qt::DropAction>)+0x147)[0x7fe3731ec657]
/usr/lib/python2.7/dist-packages/PyQt4/QtGui.so(+0x24e6d1)[0x7fe3491466d1]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAbstractItemView::mouseMoveEvent(QMouseEvent*)+0x316)[0x7fe3731ed1c6]
/usr/lib/python2.7/dist-packages/PyQt4/QtGui.so(+0x233a6b)[0x7fe34912ba6b]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QWidget::event(QEvent*)+0x95b)[0x7fe372d2917b]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QFrame::event(QEvent*)+0x26)[0x7fe3730d7a36]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAbstractItemView::viewportEvent(QEvent*)+0x40b)[0x7fe3731ed9bb]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QTreeView::viewportEvent(QEvent*)+0x131)[0x7fe37322d611]
/usr/lib/python2.7/dist-packages/PyQt4/QtGui.so(+0x230afb)[0x7fe349128afb]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*)+0x86)[0x7fe37392e516]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::notify_helper(QObject*, QEvent*)+0x7c)[0x7fe372cdc0bc]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::notify(QObject*, QEvent*)+0x99b)[0x7fe372cdf2bb]
/usr/lib/libqgis_core.so.1.9.0(QgsApplication::notify(QObject*, QEvent*)+0x5b)[0x7fe374acda9b]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::notifyInternal(QObject*, QEvent*)+0x8e)[0x7fe37392e3ae]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool)+0x14b)[0x7fe372ce218b]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x242b94)[0x7fe372d54b94]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::x11ProcessEvent(_XEvent*)+0xb11)[0x7fe372d53921]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x26bea2)[0x7fe372d7dea2]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x135)[0x7fe36f15ed95]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x490d8)[0x7fe36f15f0d8]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x34)[0x7fe36f15f194]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x66)[0x7fe37395cce6]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x26bf9e)[0x7fe372d7df9e]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x2f)[0x7fe37392d0ff]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0x138)[0x7fe37392d388]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x86)[0x7fe373932a66]
/usr/bin/qgis.bin(main+0x2215)[0x4faca5]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5)[0x7fe370845a55]
/usr/bin/qgis.bin[0x4feab9]


392d0ff]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0x138)[0x7fe37392d388]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x253e26)[0x7fe372d65e26]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QDrag::exec(QFlags<Qt::DropAction>, Qt::DropAction)+0x68)[0x7fe372cedcd8]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAbstractItemView::startDrag(QFlags<Qt::DropAction>)+0x147)[0x7fe3731ec657]
/usr/lib/python2.7/dist-packages/PyQt4/QtGui.so(+0x24e6d1)[0x7fe3491466d1]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAbstractItemView::mouseMoveEvent(QMouseEvent*)+0x316)[0x7fe3731ed1c6]
/usr/lib/python2.7/dist-packages/PyQt4/QtGui.so(+0x233a6b)[0x7fe34912ba6b]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QWidget::event(QEvent*)+0x95b)[0x7fe372d2917b]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QFrame::event(QEvent*)+0x26)[0x7fe3730d7a36]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAbstractItemView::viewportEvent(QEvent*)+0x40b)[0x7fe3731ed9bb]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QTreeView::viewportEvent(QEvent*)+0x131)[0x7fe37322d611]
/usr/lib/python2.7/dist-packages/PyQt4/QtGui.so(+0x230afb)[0x7fe349128afb]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*)+0x86)[0x7fe37392e516]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::notify_helper(QObject*, QEvent*)+0x7c)[0x7fe372cdc0bc]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::notify(QObject*, QEvent*)+0x99b)[0x7fe372cdf2bb]
/usr/lib/libqgis_core.so.1.9.0(QgsApplication::notify(QObject*, QEvent*)+0x5b)[0x7fe374acda9b]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::notifyInternal(QObject*, QEvent*)+0x8e)[0x7fe37392e3ae]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool)+0x14b)[0x7fe372ce218b]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x242b94)[0x7fe372d54b94]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::x11ProcessEvent(_XEvent*)+0xb11)[0x7fe372d53921]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x26bea2)[0x7fe372d7dea2]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x135)[0x7fe36f15ed95]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x490d8)[0x7fe36f15f0d8]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x34)[0x7fe36f15f194]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x66)[0x7fe37395cce6]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x26bf9e)[0x7fe372d7df9e]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x2f)[0x7fe37392d0ff]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0x138)[0x7fe37392d388]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x86)[0x7fe373932a66]
/usr/bin/qgis.bin(main+0x2215)[0x4faca5]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5)[0x7fe370845a55]
/usr/bin/qgis.bin[0x4feab9]


]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x253e26)[0x7fe372d65e26]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QDrag::exec(QFlags<Qt::DropAction>, Qt::DropAction)+0x68)[0x7fe372cedcd8]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAbstractItemView::startDrag(QFlags<Qt::DropAction>)+0x147)[0x7fe3731ec657]

/usr/lib/python2.7/dist-packages/PyQt4/QtGui.so(+0x24e6d1)[0x7fe3491466d1]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAbstractItemView::mouseMoveEvent(QMouseEvent*)+0x316)[0x7fe3731ed1c6]

/usr/lib/python2.7/dist-packages/PyQt4/QtGui.so(+0x233a6b)[0x7fe34912ba6b]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QWidget::event(QEvent*)+0x95b)[0x7fe372d2917b]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QFrame::event(QEvent*)+0x26)[0x7fe3730d7a36]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAbstractItemView::viewportEvent(QEvent*)+0x40b)[0x7fe3731ed9bb]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QTreeView::viewportEvent(QEvent*)+0x131)[0x7fe37322d611]

/usr/lib/python2.7/dist-packages/PyQt4/QtGui.so(+0x230afb)[0x7fe349128afb]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*,

QEvent*)+0x86)[0x7fe37392e516]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::notify_helper(QObject*, QEvent*)+0x7c)[0x7fe372cdc0bc]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::notify(QObject*, QEvent*)+0x99b)[0x7fe372cdf2bb]

/usr/lib/libqgis_core.so.1.9.0(QgsApplication::notify(QObject*, QEvent*)+0x5b)[0x7fe374acda9b]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::notifyInternal(QObject*, QEvent*)+0x8e)[0x7fe37392e3ae]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*,

QWidget**, QPointer<QWidget>&, bool)+0x14b)[0x7fe372ce218b]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x242b94)[0x7fe372d54b94]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::x11ProcessEvent(_XEvent*)+0xb11)[0x7fe372d53921]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x26bea2)[0x7fe372d7dea2]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x135)[0x7fe36f15ed95]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x490d8)[0x7fe36f15f0d8]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x34)[0x7fe36f15f194]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x66)[0x7fe37395cce6]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x26bf9e)[0x7fe372d7df9e]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x2f)[0x7fe37392d0ff]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0x138)[0x7fe37392d388]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x86)[0x7fe373932a66]
/usr/bin/qgis.bin(main+0x2215)[0x4faca5]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5)[0x7fe370845a55]
/usr/bin/qgis.bin[0x4feab9]


6)[0x7fe37395cce6]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x26bf9e)[0x7fe372d7df9e]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x2f)[0x7fe37392d0ff]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0x138)[0x7fe37392d388]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x86)[0x7fe373932a66]
/usr/bin/qgis.bin(main+0x2215)[0x4faca5]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5)[0x7fe370845a55]
/usr/bin/qgis.bin[0x4feab9]


392d0ff]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0x138)[0x7fe37392d388]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x86)[0x7fe373932a66]
/usr/bin/qgis.bin(main+0x2215)[0x4faca5]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5)[0x7fe370845a55]
/usr/bin/qgis.bin[0x4feab9]


]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x86)[0x7fe373932a66]

/usr/bin/qgis.bin(main+0x2215)[0x4faca5]

/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5)[0x7fe370845a55]

/usr/bin/qgis.bin[0x4feab9]

Related issues:

Duplicated by QGIS Application - Bug report # 16754: QGIS crahes when panning... Closed 2017-06-25

History

#1 - 2016-06-22 09:01 AM - Jürgen Fischer

Doesn't crash here.   But still doesn't seem to work.  I get plenty of "RasterIO error: IReadBlock failed at X offset 0, Y offset 0" in the message log.  And 

gdal_translate says "ERROR 1: This raster has outdb storage. This feature isn't still available" - I suppose GDAL (as of 2.1) doesn't support this yet.

#2 - 2017-01-04 11:41 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Crashes QGIS or corrupts data changed from No to Yes

Please update the status of this ticket on latest qgis releases.

#3 - 2017-01-05 02:46 AM - Paolo Cavallini

Currently impossible to test because of #15910

#4 - 2017-03-06 10:15 AM - Giovanni Manghi

Paolo Cavallini wrote:

Currently impossible to test because of #15910

what about 2.18.4? we need to test this also for the next LTR. Please leave feedback.

#5 - 2017-03-06 11:16 AM - Paolo Cavallini

It get loaded now, but then crashes when zooming:

/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf1)[0x7f29d2b842b1]

./output/bin/qgis(_start+0x2a)[0x557c44a4767a]

======= Memory map: ========

557c44a42000-557c44f1a000 r-xp 00000000 08:12 5772537                    /usr/local/src/qgis/QGIS/build_qgis2/output/bin/qgis

557c45119000-557c4511a000 r--p 004d7000 08:12 5772537                    /usr/local/src/qgis/QGIS/build_qgis2/output/bin/qgis

557c4511a000-557c4511b000 rw-p 004d8000 08:12 5772537                    /usr/local/src/qgis/QGIS/build_qgis2/output/bin/qgis
557c45f8a000-557c552e3000 rw-p 00000000 00:00 0                          [heap]

7f290c000000-7f290c335000 rw-p 00000000 00:00 0 

7f290c335000-7f2910000000 ---p 00000000 00:00 0 

7f2910000000-7f2910021000 rw-p 00000000 00:00 0 

7f2910021000-7f2914000000 ---p 00000000 00:00 0 

7f2914000000-7f2916d8a000 rw-p 00000000 00:00 0 

7f2916d8a000-7f2918000000 ---p 00000000 00:00 0 

7f291800f000-7f291a010000 rw-p 00000000 00:00 0 

7f291a190000-7f291a210000 rw-s 00000000 00:05 203456521                  /SYSV00000000 (deleted)

7f291a210000-7f291a660000 rw-s 00000000 00:05 203325467                  /SYSV00000000 (deleted)

7f291a660000-7f291a661000 ---p 00000000 00:00 0 

7f291a661000-7f291ae61000 rw-p 00000000 00:00 0 

7f291ae61000-7f291ae62000 ---p 00000000 00:00 0 

7f291ae62000-7f291b662000 rw-p 00000000 00:00 0 

7f291b662000-7f291b6d4000 rw-s 00000000 00:05 200704019                  /SYSV00000000 (deleted)

7f291b6d4000-7f291b954000 rw-p 00000000 00:00 0 

7f291b954000-7f291b994000 rw-p 00000000 00:00 0 

7f291b994000-7f291b9fa000 r--p 00000000 08:12 7608793                    /usr/share/fonts/truetype/freefont/FreeSansBold.ttf

7f291b9fa000-7f291ba5a000 rw-s 00000000 00:05 200015887                  /SYSV00000000 (deleted)

7f291ba5a000-7f291bf80000 rw-s 00000000 00:05 199983118                  /SYSV00000000 (deleted)

7f291bf80000-7f291c000000 rw-p 00000000 00:00 0 

7f291c000000-7f291c3e9000 rw-p 00000000 00:00 0 

7f291c3e9000-7f2920000000 ---p 00000000 00:00 0 

7f2920000000-7f2920372000 rw-p 00000000 00:00 0 

7f2920372000-7f2924000000 ---p 00000000 00:00 0 

7f2924000000-7f2924440000 rw-p 00000000 00:00 0 

7f2924440000-7f2928000000 ---p 00000000 00:00 0 

7f2928004000-7f29281c4000 rw-p 00000000 00:00 0 

7f29281c4000-7f29281c5000 ---p 00000000 00:00 0 

7f29281c5000-7f2928ac5000 rw-p 00000000 00:00 0 

7f2928ac5000-7f2928ac6000 ---p 00000000 00:00 0 

7f2928ac6000-7f29292c6000 rw-p 00000000 00:00 0 

7f29292c6000-7f29292c7000 ---p 00000000 00:00 0 

7f29292c7000-7f2929b07000 rw-p 00000000 00:00 0 

7f2929b07000-7f2929b9f000 r-xp 00000000 08:12 6037992                    /usr/local/src/qgis/QGIS/build_qgis2/output/python/qgis/_analysis.so

7f2929b9f000-7f2929d9e000 ---p 00098000 08:12 6037992                    /usr/local/src/qgis/QGIS/build_qgis2/output/python/qgis/_analysis.so

7f2929d9e000-7f2929da0000 r--p 00097000 08:12 6037992                    /usr/local/src/qgis/QGIS/build_qgis2/output/python/qgis/_analysis.so

7f2929da0000-7f2929db2000 rw-p 00099000 08:12 6037992                    /usr/local/src/qgis/QGIS/build_qgis2/output/python/qgis/_analysis.so

7f2929db2000-7f2929f72000 rw-p 00000000 00:00 0 

7f2929f72000-7f2929f7d000 r-xp 00000000 08:12 2624147                    /usr/lib/python2.7/dist-packages/_geoslib.x86_64-linux-gnu.so

7f2929f7d000-7f292a17c000 ---p 0000b000 08:12 2624147                    /usr/lib/python2.7/dist-packages/_geoslib.x86_64-linux-gnu.so

7f292a17c000-7f292a17d000 r--p 0000a000 08:12 2624147                    /usr/lib/python2.7/dist-packages/_geoslib.x86_64-linux-gnu.so

7f292a17d000-7f292a17f000 rw-p 0000b000 08:12 2624147                    /usr/lib/python2.7/dist-packages/_geoslib.x86_64-linux-gnu.so

7f292a17f000-7f292a1bf000 rw-p 00000000 00:00 0 

7f292a1bf000-7f292a21d000 r-xp 00000000 08:12 6553654                   

/usr/lib/python2.7/dist-packages/mpl_toolkits/basemap/_proj.x86_64-linux-gnu.so

7f292a21d000-7f292a41d000 ---p 0005e000 08:12 6553654                   

/usr/lib/python2.7/dist-packages/mpl_toolkits/basemap/_proj.x86_64-linux-gnu.so

7f292a41d000-7f292a41e000 r--p 0005e000 08:12 6553654                   

/usr/lib/python2.7/dist-packages/mpl_toolkits/basemap/_proj.x86_64-linux-gnu.so

7f292a41e000-7f292a423000 rw-p 0005f000 08:12 6553654                   

/usr/lib/python2.7/dist-packages/mpl_toolkits/basemap/_proj.x86_64-linux-gnu.so

7f292a423000-7f292a6e3000 rw-p 00000000 00:00 0 
7f292a6e3000-7f292a79c000 r--p 00000000 08:12 2887744                    /usr/share/fonts/truetype/dejavu/DejaVuSans.ttf

7f292a79c000-7f292aa5c000 rw-p 00000000 00:00 0 

7f292aa5c000-7f292aa61000 r-xp 00000000 08:12 3280825                    /usr/lib/python2.7/lib-dynload/mmap.x86_64-linux-gnu.so

7f292aa61000-7f292ac60000 ---p 00005000 08:12 3280825                    /usr/lib/python2.7/lib-dynload/mmap.x86_64-linux-gnu.so

7f292ac60000-7f292ac61000 r--p 00004000 08:12 3280825                    /usr/lib/python2.7/lib-dynload/mmap.x86_64-linux-gnu.so

7f292ac61000-7f292ac62000 rw-p 00005000 08:12 3280825                    /usr/lib/python2.7/lib-dynload/mmap.x86_64-linux-gnu.so

7f292ac62000-7f292b222000 rw-p 00000000 00:00 0 

7f292b22f000-7f292b2af000 rw-p 00000000 00:00 0 

7f292b2af000-7f292b2cf000 r-xp 00000000 08:12 6038015                   

/usr/local/src/qgis/QGIS/build_qgis2/output/python/qgis/_networkanalysis.so

7f292b2cf000-7f292b4ce000 ---p 00020000 08:12 6038015                   

/usr/local/src/qgis/QGIS/build_qgis2/output/python/qgis/_networkanalysis.so

7f292b4ce000-7f292b4cf000 r--p 0001f000 08:12 6038015                   

/usr/local/src/qgis/QGIS/build_qgis2/output/python/qgis/_networkanalysis.so

7f292b4cf000-7f292b4d2000 rw-p 00020000 08:12 6038015                   

/usr/local/src/qgis/QGIS/build_qgis2/output/python/qgis/_networkanalysis.so

7f292b4d2000-7f292b512000 rw-p 00000000 00:00 0 

7f292b512000-7f292b520000 r-xp 00000000 08:12 3016362                    /usr/lib/python2.7/dist-packages/osgeo/_gdal_array.x86_64-linux-gnu.so

7f292b520000-7f292b71f000 ---p 0000e000 08:12 3016362                    /usr/lib/python2.7/dist-packages/osgeo/_gdal_array.x86_64-linux-gnu.so

7f292b71f000-7f292b720000 r--p 0000d000 08:12 3016362                    /usr/lib/python2.7/dist-packages/osgeo/_gdal_array.x86_64-linux-gnu.so

7f292b720000-7f292b721000 rw-p 0000e000 08:12 3016362                    /usr/lib/python2.7/dist-packages/osgeo/_gdal_array.x86_64-linux-gnu.so

7f292b721000-7f292bb22000 rw-p 00000000 00:00 0 

7f292bb22000-7f292bb26000 r-xp 00000000 08:12 3280833                    /usr/lib/python2.7/lib-dynload/termios.x86_64-linux-gnu.so

7f292bb26000-7f292bd25000 ---p 00004000 08:12 3280833                    /usr/lib/python2.7/lib-dynload/termios.x86_64-linux-gnu.so

7f292bd25000-7f292bd26000 r--p 00003000 08:12 3280833                    /usr/lib/python2.7/lib-dynload/termios.x86_64-linux-gnu.so

7f292bd26000-7f292bd28000 rw-p 00004000 08:12 3280833                    /usr/lib/python2.7/lib-dynload/termios.x86_64-linux-gnu.so

7f292bd28000-7f292bfa8000 rw-p 00000000 00:00 0 

7f292bfa8000-7f292bfb8000 r-xp 00000000 08:12 3280808                    /usr/lib/python2.7/lib-dynload/_elementtree.x86_64-linux-gnu.so

7f292bfb8000-7f292c1b7000 ---p 00010000 08:12 3280808                    /usr/lib/python2.7/lib-dynload/_elementtree.x86_64-linux-gnu.so

7f292c1b7000-7f292c1b8000 r--p 0000f000 08:12 3280808                    /usr/lib/python2.7/lib-dynload/_elementtree.x86_64-linux-gnu.so

7f292c1b8000-7f292c1b9000 rw-p 00010000 08:12 3280808                    /usr/lib/python2.7/lib-dynload/_elementtree.x86_64-linux-gnu.so

7f292c1b9000-7f292c679000 rw-p 00000000 00:00 0 

7f292c679000-7f292c67c000 r-xp 00000000 08:12 3280812                    /usr/lib/python2.7/lib-dynload/_lsprof.x86_64-linux-gnu.so

7f292c67c000-7f292c87b000 ---p 00003000 08:12 3280812                    /usr/lib/python2.7/lib-dynload/_lsprof.x86_64-linux-gnu.so

7f292c87b000-7f292c87c000 r--p 00002000 08:12 3280812                    /usr/lib/python2.7/lib-dynload/_lsprof.x86_64-linux-gnu.so

7f292c87c000-7f292c87d000 rw-p 00003000 08:12 3280812                    /usr/lib/python2.7/lib-dynload/_lsprof.x86_64-linux-gnu.so

7f292c87d000-7f292d3fd000 rw-p 00000000 00:00 0 

7f292d41d000-7f292d51d000 rw-p 00000000 00:00 0 

7f292d51d000-7f292d522000 r-xp 00000000 08:12 10754065                   /lib/x86_64-linux-gnu/libnss_dns-2.24.so

7f292d522000-7f292d721000 ---p 00005000 08:12 10754065                   /lib/x86_64-linux-gnu/libnss_dns-2.24.so

7f292d721000-7f292d722000 r--p 00004000 08:12 10754065                   /lib/x86_64-linux-gnu/libnss_dns-2.24.so

7f292d722000-7f292d723000 rw-p 00005000 08:12 10754065                   /lib/x86_64-linux-gnu/libnss_dns-2.24.so

7f292d723000-7f292d725000 r-xp 00000000 08:12 10748162                   /lib/x86_64-linux-gnu/libnss_mdns4_minimal.so.2

7f292d725000-7f292d924000 ---p 00002000 08:12 10748162                   /lib/x86_64-linux-gnu/libnss_mdns4_minimal.so.2

7f292d924000-7f292d925000 r--p 00001000 08:12 10748162                   /lib/x86_64-linux-gnu/libnss_mdns4_minimal.so.2

7f292d925000-7f292d926000 rw-p 00002000 08:12 10748162                   /lib/x86_64-linux-gnu/libnss_mdns4_minimal.so.2

7f292d926000-7f292d937000 r-xp 00000000 08:12 10748077                   /lib/x86_64-linux-gnu/libnss_myhostname.so.2

7f292d937000-7f292d939000 r--p 00010000 08:12 10748077                   /lib/x86_64-linux-gnu/libnss_myhostname.so.2

7f292d939000-7f292d93a000 rw-p 00012000 08:12 10748077                   /lib/x86_64-linux-gnu/libnss_myhostname.so.2

7f292d946000-7f292d958000 rw-s 00000000 00:05 202407958                  /SYSV00000000 (deleted)

7f292d958000-7f292d96a000 rw-s 00000000 00:05 201752597                  /SYSV00000000 (deleted)

7f292d96a000-7f292d97d000 r--p 00000000 08:12 3278256                    /usr/share/fonts/opentype/cantarell/Cantarell-Oblique.otf

7f292d97d000-7f292db7d000 rw-p 00000000 00:00 0 
7f292db7d000-7f292dd42000 r-xp 00000000 08:12 4588198                    /usr/lib/python2.7/dist-packages/PyQt4/Qwt5/Qwt.so

7f292dd42000-7f292df42000 ---p 001c5000 08:12 4588198                    /usr/lib/python2.7/dist-packages/PyQt4/Qwt5/Qwt.so

7f292df42000-7f292df48000 r--p 001c5000 08:12 4588198                    /usr/lib/python2.7/dist-packages/PyQt4/Qwt5/Qwt.so

7f292df48000-7f292df6a000 rw-p 001cb000 08:12 4588198                    /usr/lib/python2.7/dist-packages/PyQt4/Qwt5/Qwt.so

7f292df6a000-7f292df83000 r-xp 00000000 08:12 8521621                   

/usr/lib/python2.7/dist-packages/scipy/spatial/_distance_wrap.x86_64-linux-gnu.so

7f292df83000-7f292e182000 ---p 00019000 08:12 8521621                   

/usr/lib/python2.7/dist-packages/scipy/spatial/_distance_wrap.x86_64-linux-gnu.so

7f292e182000-7f292e183000 r--p 00018000 08:12 8521621                   

/usr/lib/python2.7/dist-packages/scipy/spatial/_distance_wrap.x86_64-linux-gnu.so

7f292e183000-7f292e184000 rw-p 00019000 08:12 8521621                   

/usr/lib/python2.7/dist-packages/scipy/spatial/_distance_wrap.x86_64-linux-gnu.so

7f292e184000-7f292e1c4000 rw-p 00000000 00:00 0 

7f292e1c4000-7f292e279000 r-xp 00000000 08:12 8521628                    /usr/lib/python2.7/dist-packages/scipy/spatial/qhull.x86_64-linux-gnu.so

7f292e279000-7f292e478000 ---p 000b5000 08:12 8521628                    /usr/lib/python2.7/dist-packages/scipy/spatial/qhull.x86_64-linux-gnu.so

7f292e478000-7f292e479000 r--p 000b4000 08:12 8521628                    /usr/lib/python2.7/dist-packages/scipy/spatial/qhull.x86_64-linux-gnu.so

7f292e479000-7f292e485000 rw-p 000b5000 08:12 8521628                    /usr/lib/python2.7/dist-packages/scipy/spatial/qhull.x86_64-linux-gnu.so

7f292e485000-7f292e486000 rw-p 00000000 00:00 0 

7f292e486000-7f292e50a000 r-xp 00000000 08:12 8521625                   

/usr/lib/python2.7/dist-packages/scipy/spatial/ckdtree.x86_64-linux-gnu.so

7f292e50a000-7f292e70a000 ---p 00084000 08:12 8521625                   

/usr/lib/python2.7/dist-packages/scipy/spatial/ckdtree.x86_64-linux-gnu.so

7f292e70a000-7f292e70b000 r--p 00084000 08:12 8521625                   

/usr/lib/python2.7/dist-packages/scipy/spatial/ckdtree.x86_64-linux-gnu.so

7f292e70b000-7f292e713000 rw-p 00085000 08:12 8521625                   

/usr/lib/python2.7/dist-packages/scipy/spatial/ckdtree.x86_64-linux-gnu.so

7f292e713000-7f292e746000 r-xp 00000000 08:12 8520314                   

/usr/lib/python2.7/dist-packages/scipy/cluster/_hierarchy.x86_64-linux-gnu.so

7f292e746000-7f292e945000 ---p 00033000 08:12 8520314                   

/usr/lib/python2.7/dist-packages/scipy/cluster/_hierarchy.x86_64-linux-gnu.so

7f292e945000-7f292e946000 r--p 00032000 08:12 8520314                   

/usr/lib/python2.7/dist-packages/scipy/cluster/_hierarchy.x86_64-linux-gnu.so

7f292e946000-7f292e94c000 rw-p 00033000 08:12 8520314                   

/usr/lib/python2.7/dist-packages/scipy/cluster/_hierarchy.x86_64-linux-gnu.so

7f292e94c000-7f292e94d000 rw-p 00000000 00:00 0 

7f292e94d000-7f292e962000 r-xp 00000000 08:12 8520315                    /usr/lib/python2.7/dist-packages/scipy/cluster/_vq.x86_64-linux-gnu.so

7f292e962000-7f292eb61000 ---p 00015000 08:12 8520315                    /usr/lib/python2.7/dist-packages/scipy/cluster/_vq.x86_64-linux-gnu.so

7f292eb61000-7f292eb62000 r--p 00014000 08:12 8520315                    /usr/lib/python2.7/dist-packages/scipy/cluster/_vq.x86_64-linux-gnu.so

7f292eb62000-7f292eb64000 rw-p 00015000 08:12 8520315                    /usr/lib/python2.7/dist-packages/scipy/cluster/_vq.x86_64-linux-gnu.so

7f292eb64000-7f292ee24000 rw-p 00000000 00:00 0 

7f292ee24000-7f292ee35000 r-xp 00000000 08:12 8521733                    /usr/lib/python2.7/dist-packages/scipy/stats/mvn.x86_64-linux-gnu.so

7f292ee35000-7f292f034000 ---p 00011000 08:12 8521733                    /usr/lib/python2.7/dist-packages/scipy/stats/mvn.x86_64-linux-gnu.so

7f292f034000-7f292f035000 r--p 00010000 08:12 8521733                    /usr/lib/python2.7/dist-packages/scipy/stats/mvn.x86_64-linux-gnu.so

7f292f035000-7f292f037000 rw-p 00011000 08:12 8521733                    /usr/lib/python2.7/dist-packages/scipy/stats/mvn.x86_64-linux-gnu.so

7f292f037000-7f292f16e000 rw-p 00000000 00:00 0 

7f292f16e000-7f292f178000 r-xp 00000000 08:12 8521737                    /usr/lib/python2.7/dist-packages/scipy/stats/statlib.x86_64-linux-gnu.so

7f292f178000-7f292f378000 ---p 0000a000 08:12 8521737                    /usr/lib/python2.7/dist-packages/scipy/stats/statlib.x86_64-linux-gnu.so

7f292f378000-7f292f379000 r--p 0000a000 08:12 8521737                    /usr/lib/python2.7/dist-packages/scipy/stats/statlib.x86_64-linux-gnu.so

7f292f379000-7f292f37a000 rw-p 0000b000 08:12 8521737                    /usr/lib/python2.7/dist-packages/scipy/stats/statlib.x86_64-linux-gnu.so

7f292f37a000-7f292f47a000 rw-p 00000000 00:00 0 

7f292f47a000-7f292f49f000 r-xp 00000000 08:12 8521714                    /usr/lib/python2.7/dist-packages/scipy/stats/_stats.x86_64-linux-gnu.so

7f292f49f000-7f292f69e000 ---p 00025000 08:12 8521714                    /usr/lib/python2.7/dist-packages/scipy/stats/_stats.x86_64-linux-gnu.so

7f292f69e000-7f292f69f000 r--p 00024000 08:12 8521714                    /usr/lib/python2.7/dist-packages/scipy/stats/_stats.x86_64-linux-gnu.so

2024-04-20 6/17



7f292f69f000-7f292f6a2000 rw-p 00025000 08:12 8521714                    /usr/lib/python2.7/dist-packages/scipy/stats/_stats.x86_64-linux-gnu.so

7f292f6a2000-7f292f823000 rw-p 00000000 00:00 0 

7f292f823000-7f292f863000 r-xp 00000000 08:12 4588412                   

/usr/lib/python2.7/dist-packages/matplotlib/backends/_backend_agg.x86_64-linux-gnu.so

7f292f863000-7f292fa62000 ---p 00040000 08:12 4588412                   

/usr/lib/python2.7/dist-packages/matplotlib/backends/_backend_agg.x86_64-linux-gnu.so

7f292fa62000-7f292fa63000 r--p 0003f000 08:12 4588412                   

/usr/lib/python2.7/dist-packages/matplotlib/backends/_backend_agg.x86_64-linux-gnu.so

7f292fa63000-7f292fa64000 rw-p 00040000 08:12 4588412                   

/usr/lib/python2.7/dist-packages/matplotlib/backends/_backend_agg.x86_64-linux-gnu.so

7f292fa64000-7f292fb65000 rw-p 00000000 00:00 0 

7f292fb65000-7f292fbbc000 r-xp 00000000 08:12 4588162                    /usr/lib/python2.7/dist-packages/matplotlib/_qhull.x86_64-linux-gnu.so

7f292fbbc000-7f292fdbb000 ---p 00057000 08:12 4588162                    /usr/lib/python2.7/dist-packages/matplotlib/_qhull.x86_64-linux-gnu.so

7f292fdbb000-7f292fdbc000 r--p 00056000 08:12 4588162                    /usr/lib/python2.7/dist-packages/matplotlib/_qhull.x86_64-linux-gnu.so

7f292fdbc000-7f292fdbd000 rw-p 00057000 08:12 4588162                    /usr/lib/python2.7/dist-packages/matplotlib/_qhull.x86_64-linux-gnu.so

7f292fdbd000-7f292fdbf000 rw-p 00000000 00:00 0 

7f292fdbf000-7f292fdd5000 r-xp 00000000 08:12 4588396                    /usr/lib/python2.7/dist-packages/matplotlib/_tri.x86_64-linux-gnu.so

7f292fdd5000-7f292ffd4000 ---p 00016000 08:12 4588396                    /usr/lib/python2.7/dist-packages/matplotlib/_tri.x86_64-linux-gnu.so

7f292ffd4000-7f292ffd5000 r--p 00015000 08:12 4588396                    /usr/lib/python2.7/dist-packages/matplotlib/_tri.x86_64-linux-gnu.so

7f292ffd5000-7f292ffd6000 rw-p 00016000 08:12 4588396                    /usr/lib/python2.7/dist-packages/matplotlib/_tri.x86_64-linux-gnu.so

7f292ffd6000-7f2930096000 rw-p 00000000 00:00 0 

7f2930096000-7f29300c8000 r-xp 00000000 08:12 4588154                    /usr/lib/python2.7/dist-packages/matplotlib/_image.x86_64-linux-gnu.so

7f29300c8000-7f29302c7000 ---p 00032000 08:12 4588154                    /usr/lib/python2.7/dist-packages/matplotlib/_image.x86_64-linux-gnu.so

7f29302c7000-7f29302c8000 r--p 00031000 08:12 4588154                    /usr/lib/python2.7/dist-packages/matplotlib/_image.x86_64-linux-gnu.so

7f29302c8000-7f29302c9000 rw-p 00032000 08:12 4588154                    /usr/lib/python2.7/dist-packages/matplotlib/_image.x86_64-linux-gnu.so

7f29302c9000-7f2930389000 rw-p 00000000 00:00 0 

7f2930389000-7f293038f000 r-xp 00000000 08:12 4588159                    /usr/lib/python2.7/dist-packages/matplotlib/_png.x86_64-linux-gnu.so

7f293038f000-7f293058e000 ---p 00006000 08:12 4588159                    /usr/lib/python2.7/dist-packages/matplotlib/_png.x86_64-linux-gnu.so

7f293058e000-7f293058f000 r--p 00005000 08:12 4588159                    /usr/lib/python2.7/dist-packages/matplotlib/_png.x86_64-linux-gnu.so

7f293058f000-7f2930590000 rw-p 00006000 08:12 4588159                    /usr/lib/python2.7/dist-packages/matplotlib/_png.x86_64-linux-gnu.so

7f2930590000-7f2930710000 rw-p 00000000 00:00 0 

7f2930710000-7f2930722000 r-xp 00000000 08:12 4588556                    /usr/lib/python2.7/dist-packages/matplotlib/ft2font.x86_64-linux-gnu.so

7f2930722000-7f2930921000 ---p 00012000 08:12 4588556                    /usr/lib/python2.7/dist-packages/matplotlib/ft2font.x86_64-linux-gnu.so

7f2930921000-7f2930922000 r--p 00011000 08:12 4588556                    /usr/lib/python2.7/dist-packages/matplotlib/ft2font.x86_64-linux-gnu.so

7f2930922000-7f2930923000 rw-p 00012000 08:12 4588556                    /usr/lib/python2.7/dist-packages/matplotlib/ft2font.x86_64-linux-gnu.so

7f2930923000-7f29309e4000 rw-p 00000000 00:00 0 

7f29309e4000-7f29309f1000 r-xp 00000000 08:12 4588087                    /usr/lib/python2.7/dist-packages/matplotlib/_contour.x86_64-linux-gnu.so

7f29309f1000-7f2930bf0000 ---p 0000d000 08:12 4588087                    /usr/lib/python2.7/dist-packages/matplotlib/_contour.x86_64-linux-gnu.so

7f2930bf0000-7f2930bf1000 r--p 0000c000 08:12 4588087                    /usr/lib/python2.7/dist-packages/matplotlib/_contour.x86_64-linux-gnu.so

7f2930bf1000-7f2930bf2000 rw-p 0000d000 08:12 4588087                    /usr/lib/python2.7/dist-packages/matplotlib/_contour.x86_64-linux-gnu.so

7f2930bf2000-7f2930bf7000 r-xp 00000000 08:12 4587743                    /usr/lib/python2.7/dist-packages/matplotlib/_cntr.x86_64-linux-gnu.so

7f2930bf7000-7f2930df7000 ---p 00005000 08:12 4587743                    /usr/lib/python2.7/dist-packages/matplotlib/_cntr.x86_64-linux-gnu.so

7f2930df7000-7f2930df8000 r--p 00005000 08:12 4587743                    /usr/lib/python2.7/dist-packages/matplotlib/_cntr.x86_64-linux-gnu.so

7f2930df8000-7f2930df9000 rw-p 00006000 08:12 4587743                    /usr/lib/python2.7/dist-packages/matplotlib/_cntr.x86_64-linux-gnu.so

7f2930df9000-7f2930f39000 rw-p 00000000 00:00 0 

7f2930f39000-7f2930f61000 r-xp 00000000 08:12 4588158                    /usr/lib/python2.7/dist-packages/matplotlib/_path.x86_64-linux-gnu.so

7f2930f61000-7f2931160000 ---p 00028000 08:12 4588158                    /usr/lib/python2.7/dist-packages/matplotlib/_path.x86_64-linux-gnu.so

7f2931160000-7f2931161000 r--p 00027000 08:12 4588158                    /usr/lib/python2.7/dist-packages/matplotlib/_path.x86_64-linux-gnu.so

7f2931161000-7f2931162000 rw-p 00028000 08:12 4588158                    /usr/lib/python2.7/dist-packages/matplotlib/_path.x86_64-linux-gnu.so

7f2931162000-7f2931323000 rw-p 00000000 00:00 0 

7f2931323000-7f2931326000 r-xp 00000000 08:12 2624776                    /usr/lib/python2.7/dist-packages/_posixsubprocess.x86_64-linux-gnu.so

7f2931326000-7f2931526000 ---p 00003000 08:12 2624776                    /usr/lib/python2.7/dist-packages/_posixsubprocess.x86_64-linux-gnu.so

7f2931526000-7f2931527000 r--p 00003000 08:12 2624776                    /usr/lib/python2.7/dist-packages/_posixsubprocess.x86_64-linux-gnu.so

2024-04-20 7/17



7f2931527000-7f2931528000 rw-p 00004000 08:12 2624776                    /usr/lib/python2.7/dist-packages/_posixsubprocess.x86_64-linux-gnu.so

7f2931528000-7f29316a8000 rw-p 00000000 00:00 0 

7f29316a8000-7f29316c5000 r-xp 00000000 08:12 2626000                    /usr/lib/x86_64-linux-gnu/libyaml-0.so.2.0.5

7f29316c5000-7f29318c5000 ---p 0001d000 08:12 2626000                    /usr/lib/x86_64-linux-gnu/libyaml-0.so.2.0.5

7f29318c5000-7f29318c6000 r--p 0001d000 08:12 2626000                    /usr/lib/x86_64-linux-gnu/libyaml-0.so.2.0.5

7f29318c6000-7f29318c7000 rw-p 0001e000 08:12 2626000                    /usr/lib/x86_64-linux-gnu/libyaml-0.so.2.0.5

7f29318c7000-7f29318f7000 r-xp 00000000 08:12 2628090                    /usr/lib/python2.7/dist-packages/_yaml.x86_64-linux-gnu.so

7f29318f7000-7f2931af6000 ---p 00030000 08:12 2628090                    /usr/lib/python2.7/dist-packages/_yaml.x86_64-linux-gnu.so

7f2931af6000-7f2931af7000 r--p 0002f000 08:12 2628090                    /usr/lib/python2.7/dist-packages/_yaml.x86_64-linux-gnu.so

7f2931af7000-7f2931afa000 rw-p 00030000 08:12 2628090                    /usr/lib/python2.7/dist-packages/_yaml.x86_64-linux-gnu.so

7f2931afa000-7f2931afb000 rw-p 00000000 00:00 0 

7f2931afb000-7f2931b0c000 r-xp 00000000 08:12 6815748                   

/usr/lib/python2.7/dist-packages/pyspatialite/_spatialite.x86_64-linux-gnu.so

7f2931b0c000-7f2931d0b000 ---p 00011000 08:12 6815748                   

/usr/lib/python2.7/dist-packages/pyspatialite/_spatialite.x86_64-linux-gnu.so

7f2931d0b000-7f2931d0c000 r--p 00010000 08:12 6815748                   

/usr/lib/python2.7/dist-packages/pyspatialite/_spatialite.x86_64-linux-gnu.so

7f2931d0c000-7f2931d0e000 rw-p 00011000 08:12 6815748                   

/usr/lib/python2.7/dist-packages/pyspatialite/_spatialite.x86_64-linux-gnu.so

7f2931d0e000-7f2931d8e000 rw-p 00000000 00:00 0 

7f2931d8e000-7f2931e0e000 rw-p 00000000 00:00 0 

7f2931e0e000-7f2931e15000 r-xp 00000000 08:12 3280788                    /usr/lib/python2.7/lib-dynload/_csv.x86_64-linux-gnu.so

7f2931e15000-7f2932014000 ---p 00007000 08:12 3280788                    /usr/lib/python2.7/lib-dynload/_csv.x86_64-linux-gnu.so

7f2932014000-7f2932015000 r--p 00006000 08:12 3280788                    /usr/lib/python2.7/lib-dynload/_csv.x86_64-linux-gnu.so

7f2932015000-7f2932017000 rw-p 00007000 08:12 3280788                    /usr/lib/python2.7/lib-dynload/_csv.x86_64-linux-gnu.so

7f2932017000-7f2932257000 rw-p 00000000 00:00 0 

7f2932257000-7f293229a000 r-xp 00000000 08:12 8521099                   

/usr/lib/python2.7/dist-packages/scipy/ndimage/_ni_label.x86_64-linux-gnu.so

7f293229a000-7f2932499000 ---p 00043000 08:12 8521099                   

/usr/lib/python2.7/dist-packages/scipy/ndimage/_ni_label.x86_64-linux-gnu.so

7f2932499000-7f293249a000 r--p 00042000 08:12 8521099                   

/usr/lib/python2.7/dist-packages/scipy/ndimage/_ni_label.x86_64-linux-gnu.so

7f293249a000-7f293249f000 rw-p 00043000 08:12 8521099                   

/usr/lib/python2.7/dist-packages/scipy/ndimage/_ni_label.x86_64-linux-gnu.so

7f293249f000-7f29324a9000 r-xp 00000000 08:12 8521157                   

/usr/lib/python2.7/dist-packages/scipy/optimize/_nnls.x86_64-linux-gnu.so

7f29324a9000-7f29326a8000 ---p 0000a000 08:12 8521157                   

/usr/lib/python2.7/dist-packages/scipy/optimize/_nnls.x86_64-linux-gnu.so

7f29326a8000-7f29326a9000 r--p 00009000 08:12 8521157                   

/usr/lib/python2.7/dist-packages/scipy/optimize/_nnls.x86_64-linux-gnu.so

7f29326a9000-7f29326aa000 rw-p 0000a000 08:12 8521157                   

/usr/lib/python2.7/dist-packages/scipy/optimize/_nnls.x86_64-linux-gnu.so

7f29326aa000-7f29326ad000 r-xp 00000000 08:12 8521167                   

/usr/lib/python2.7/dist-packages/scipy/optimize/_zeros.x86_64-linux-gnu.so

7f29326ad000-7f29328ac000 ---p 00003000 08:12 8521167                   

/usr/lib/python2.7/dist-packages/scipy/optimize/_zeros.x86_64-linux-gnu.so

7f29328ac000-7f29328ad000 r--p 00002000 08:12 8521167                   

/usr/lib/python2.7/dist-packages/scipy/optimize/_zeros.x86_64-linux-gnu.so

7f29328ad000-7f29328ae000 rw-p 00003000 08:12 8521167                   

/usr/lib/python2.7/dist-packages/scipy/optimize/_zeros.x86_64-linux-gnu.so

7f29328ae000-7f29328ee000 rw-p 00000000 00:00 0 

7f29328ee000-7f293290a000 r-xp 00000000 08:12 8650774                   

/usr/lib/python2.7/dist-packages/scipy/optimize/_lsq/givens_elimination.x86_64-linux-gnu.so
7f293290a000-7f2932b09000 ---p 0001c000 08:12 8650774                   

/usr/lib/python2.7/dist-packages/scipy/optimize/_lsq/givens_elimination.x86_64-linux-gnu.so

7f2932b09000-7f2932b0a000 r--p 0001b000 08:12 8650774                   

/usr/lib/python2.7/dist-packages/scipy/optimize/_lsq/givens_elimination.x86_64-linux-gnu.so

7f2932b0a000-7f2932b0d000 rw-p 0001c000 08:12 8650774                   

/usr/lib/python2.7/dist-packages/scipy/optimize/_lsq/givens_elimination.x86_64-linux-gnu.so

7f2932b0d000-7f2932b2f000 r-xp 00000000 08:12 8521151                   

/usr/lib/python2.7/dist-packages/scipy/optimize/_group_columns.x86_64-linux-gnu.so

7f2932b2f000-7f2932d2e000 ---p 00022000 08:12 8521151                   

/usr/lib/python2.7/dist-packages/scipy/optimize/_group_columns.x86_64-linux-gnu.so

7f2932d2e000-7f2932d2f000 r--p 00021000 08:12 8521151                   

/usr/lib/python2.7/dist-packages/scipy/optimize/_group_columns.x86_64-linux-gnu.so

7f2932d2f000-7f2932d32000 rw-p 00022000 08:12 8521151                   

/usr/lib/python2.7/dist-packages/scipy/optimize/_group_columns.x86_64-linux-gnu.so

7f2932d32000-7f2932d4f000 r-xp 00000000 08:12 8521156                   

/usr/lib/python2.7/dist-packages/scipy/optimize/_minpack.x86_64-linux-gnu.so

7f2932d4f000-7f2932f4e000 ---p 0001d000 08:12 8521156                   

/usr/lib/python2.7/dist-packages/scipy/optimize/_minpack.x86_64-linux-gnu.so

7f2932f4e000-7f2932f4f000 r--p 0001c000 08:12 8521156                   

/usr/lib/python2.7/dist-packages/scipy/optimize/_minpack.x86_64-linux-gnu.so

7f2932f4f000-7f2932f50000 rw-p 0001d000 08:12 8521156                   

/usr/lib/python2.7/dist-packages/scipy/optimize/_minpack.x86_64-linux-gnu.so

7f2932f50000-7f2932f66000 r-xp 00000000 08:12 8521160                   

/usr/lib/python2.7/dist-packages/scipy/optimize/_slsqp.x86_64-linux-gnu.so

7f2932f66000-7f2933166000 ---p 00016000 08:12 8521160                   

/usr/lib/python2.7/dist-packages/scipy/optimize/_slsqp.x86_64-linux-gnu.so

7f2933166000-7f2933167000 r--p 00016000 08:12 8521160                   

/usr/lib/python2.7/dist-packages/scipy/optimize/_slsqp.x86_64-linux-gnu.so

7f2933167000-7f2933168000 rw-p 00017000 08:12 8521160                   

/usr/lib/python2.7/dist-packages/scipy/optimize/_slsqp.x86_64-linux-gnu.so

7f2933168000-7f2933186000 r-xp 00000000 08:12 8521149                   

/usr/lib/python2.7/dist-packages/scipy/optimize/_cobyla.x86_64-linux-gnu.so

7f2933186000-7f2933385000 ---p 0001e000 08:12 8521149                   

/usr/lib/python2.7/dist-packages/scipy/optimize/_cobyla.x86_64-linux-gnu.so

7f2933385000-7f2933386000 r--p 0001d000 08:12 8521149                   

/usr/lib/python2.7/dist-packages/scipy/optimize/_cobyla.x86_64-linux-gnu.so

7f2933386000-7f2933387000 rw-p 0001e000 08:12 8521149                   

/usr/lib/python2.7/dist-packages/scipy/optimize/_cobyla.x86_64-linux-gnu.so

7f2933387000-7f293338f000 r-xp 00000000 08:12 8521213                   

/usr/lib/python2.7/dist-packages/scipy/optimize/moduleTNC.x86_64-linux-gnu.so

7f293338f000-7f293358f000 ---p 00008000 08:12 8521213                   

/usr/lib/python2.7/dist-packages/scipy/optimize/moduleTNC.x86_64-linux-gnu.so

7f293358f000-7f2933590000 r--p 00008000 08:12 8521213                   

/usr/lib/python2.7/dist-packages/scipy/optimize/moduleTNC.x86_64-linux-gnu.so

7f2933590000-7f2933591000 rw-p 00009000 08:12 8521213                   

/usr/lib/python2.7/dist-packages/scipy/optimize/moduleTNC.x86_64-linux-gnu.so

7f2933591000-7f29335ae000 r-xp 00000000 08:12 8521153                   

/usr/lib/python2.7/dist-packages/scipy/optimize/_lbfgsb.x86_64-linux-gnu.so

7f29335ae000-7f29337ad000 ---p 0001d000 08:12 8521153                   

/usr/lib/python2.7/dist-packages/scipy/optimize/_lbfgsb.x86_64-linux-gnu.so

7f29337ad000-7f29337ae000 r--p 0001c000 08:12 8521153                   

/usr/lib/python2.7/dist-packages/scipy/optimize/_lbfgsb.x86_64-linux-gnu.so

7f29337ae000-7f29337af000 rw-p 0001d000 08:12 8521153                   
/usr/lib/python2.7/dist-packages/scipy/optimize/_lbfgsb.x86_64-linux-gnu.so

7f29337af000-7f29337b8000 r-xp 00000000 08:12 8521212                   

/usr/lib/python2.7/dist-packages/scipy/optimize/minpack2.x86_64-linux-gnu.so

7f29337b8000-7f29339b7000 ---p 00009000 08:12 8521212                   

/usr/lib/python2.7/dist-packages/scipy/optimize/minpack2.x86_64-linux-gnu.so

7f29339b7000-7f29339b8000 r--p 00008000 08:12 8521212                   

/usr/lib/python2.7/dist-packages/scipy/optimize/minpack2.x86_64-linux-gnu.so

7f29339b8000-7f29339b9000 rw-p 00009000 08:12 8521212                   

/usr/lib/python2.7/dist-packages/scipy/optimize/minpack2.x86_64-linux-gnu.so

7f29339b9000-7f2933a43000 r-xp 00000000 08:12 8521568                   

/usr/lib/python2.7/dist-packages/scipy/sparse/linalg/eigen/arpack/_arpack.x86_64-linux-gnu.so

7f2933a43000-7f2933c42000 ---p 0008a000 08:12 8521568                   

/usr/lib/python2.7/dist-packages/scipy/sparse/linalg/eigen/arpack/_arpack.x86_64-linux-gnu.so

7f2933c42000-7f2933c43000 r--p 00089000 08:12 8521568                   

/usr/lib/python2.7/dist-packages/scipy/sparse/linalg/eigen/arpack/_arpack.x86_64-linux-gnu.so

7f2933c43000-7f2933c4e000 rw-p 0008a000 08:12 8521568                   

/usr/lib/python2.7/dist-packages/scipy/sparse/linalg/eigen/arpack/_arpack.x86_64-linux-gnu.so

7f2933c4e000-7f2933c4f000 rw-p 00000000 00:00 0 

7f2933c4f000-7f2933ca1000 r-xp 00000000 08:12 8521562                   

/usr/lib/python2.7/dist-packages/scipy/sparse/linalg/dsolve/_superlu.x86_64-linux-gnu.so

7f2933ca1000-7f2933ea0000 ---p 00052000 08:12 8521562                   

/usr/lib/python2.7/dist-packages/scipy/sparse/linalg/dsolve/_superlu.x86_64-linux-gnu.so

7f2933ea0000-7f2933ea1000 r--p 00051000 08:12 8521562                   

/usr/lib/python2.7/dist-packages/scipy/sparse/linalg/dsolve/_superlu.x86_64-linux-gnu.so

7f2933ea1000-7f2933ea2000 rw-p 00052000 08:12 8521562                   

/usr/lib/python2.7/dist-packages/scipy/sparse/linalg/dsolve/_superlu.x86_64-linux-gnu.so

7f2933ea2000-7f2933f22000 rw-p 00000000 00:00 0 

7f2933f22000-7f2933f62000 rw-p 00000000 00:00 0 

7f2933f62000-7f2933f97000 r-xp 00000000 08:12 8521579                   

/usr/lib/python2.7/dist-packages/scipy/sparse/linalg/isolve/_iterative.x86_64-linux-gnu.so

7f2933f97000-7f2934196000 ---p 00035000 08:12 8521579                   

/usr/lib/python2.7/dist-packages/scipy/sparse/linalg/isolve/_iterative.x86_64-linux-gnu.so

7f2934196000-7f2934197000 r--p 00034000 08:12 8521579                   

/usr/lib/python2.7/dist-packages/scipy/sparse/linalg/isolve/_iterative.x86_64-linux-gnu.so

7f2934197000-7f293419f000 rw-p 00035000 08:12 8521579                   

/usr/lib/python2.7/dist-packages/scipy/sparse/linalg/isolve/_iterative.x86_64-linux-gnu.so

7f293419f000-7f29341a0000 rw-p 00000000 00:00 0 

7f29341a0000-7f29341dc000 r-xp 00000000 08:12 8521500                   

/usr/lib/python2.7/dist-packages/scipy/sparse/csgraph/_reordering.x86_64-linux-gnu.so

7f29341dc000-7f29343db000 ---p 0003c000 08:12 8521500                   

/usr/lib/python2.7/dist-packages/scipy/sparse/csgraph/_reordering.x86_64-linux-gnu.so

7f29343db000-7f29343dc000 r--p 0003b000 08:12 8521500                   

/usr/lib/python2.7/dist-packages/scipy/sparse/csgraph/_reordering.x86_64-linux-gnu.so

7f29343dc000-7f29343e1000 rw-p 0003c000 08:12 8521500                   

/usr/lib/python2.7/dist-packages/scipy/sparse/csgraph/_reordering.x86_64-linux-gnu.so

7f29343e1000-7f29343e2000 rw-p 00000000 00:00 0 

7f29343e2000-7f2934403000 r-xp 00000000 08:12 8521498                   

/usr/lib/python2.7/dist-packages/scipy/sparse/csgraph/_min_spanning_tree.x86_64-linux-gnu.so

7f2934403000-7f2934603000 ---p 00021000 08:12 8521498                   

/usr/lib/python2.7/dist-packages/scipy/sparse/csgraph/_min_spanning_tree.x86_64-linux-gnu.so

7f2934603000-7f2934604000 r--p 00021000 08:12 8521498                   

/usr/lib/python2.7/dist-packages/scipy/sparse/csgraph/_min_spanning_tree.x86_64-linux-gnu.so

7f2934604000-7f2934608000 rw-p 00022000 08:12 8521498                   
/usr/lib/python2.7/dist-packages/scipy/sparse/csgraph/_min_spanning_tree.x86_64-linux-gnu.so

7f2934608000-7f2934609000 rw-p 00000000 00:00 0 

7f2934609000-7f2934625000 r-xp 00000000 08:12 8521504                   

/usr/lib/python2.7/dist-packages/scipy/sparse/csgraph/_traversal.x86_64-linux-gnu.so

7f2934625000-7f2934824000 ---p 0001c000 08:12 8521504                   

/usr/lib/python2.7/dist-packages/scipy/sparse/csgraph/_traversal.x86_64-linux-gnu.so

7f2934824000-7f2934825000 r--p 0001b000 08:12 8521504                   

/usr/lib/python2.7/dist-packages/scipy/sparse/csgraph/_traversal.x86_64-linux-gnu.so

7f2934825000-7f293482a000 rw-p 0001c000 08:12 8521504                   

/usr/lib/python2.7/dist-packages/scipy/sparse/csgraph/_traversal.x86_64-linux-gnu.so

7f293482a000-7f293482b000 rw-p 00000000 00:00 0 

7f293482b000-7f2934849000 r-xp 00000000 08:12 8521503                   

/usr/lib/python2.7/dist-packages/scipy/sparse/csgraph/_tools.x86_64-linux-gnu.so

7f2934849000-7f2934a49000 ---p 0001e000 08:12 8521503                   

/usr/lib/python2.7/dist-packages/scipy/sparse/csgraph/_tools.x86_64-linux-gnu.so

7f2934a49000-7f2934a4a000 r--p 0001e000 08:12 8521503                   

/usr/lib/python2.7/dist-packages/scipy/sparse/csgraph/_tools.x86_64-linux-gnu.so

7f2934a4a000-7f2934a4f000 rw-p 0001f000 08:12 8521503                   

/usr/lib/python2.7/dist-packages/scipy/sparse/csgraph/_tools.x86_64-linux-gnu.so

7f2934a4f000-7f2934a7c000 r-xp 00000000 08:12 8521501                   

/usr/lib/python2.7/dist-packages/scipy/sparse/csgraph/_shortest_path.x86_64-linux-gnu.so

7f2934a7c000-7f2934c7b000 ---p 0002d000 08:12 8521501                   

/usr/lib/python2.7/dist-packages/scipy/sparse/csgraph/_shortest_path.x86_64-linux-gnu.so

7f2934c7b000-7f2934c7c000 r--p 0002c000 08:12 8521501                   

/usr/lib/python2.7/dist-packages/scipy/sparse/csgraph/_shortest_path.x86_64-linux-gnu.so

7f2934c7c000-7f2934c82000 rw-p 0002d000 08:12 8521501                   

/usr/lib/python2.7/dist-packages/scipy/sparse/csgraph/_shortest_path.x86_64-linux-gnu.so

7f2934c82000-7f2934cc3000 rw-p 00000000 00:00 0 

7f2934cc3000-7f2934d19000 r-xp 00000000 08:12 8521475                   

/usr/lib/python2.7/dist-packages/scipy/sparse/_csparsetools.x86_64-linux-gnu.so

7f2934d19000-7f2934f18000 ---p 00056000 08:12 8521475                   

/usr/lib/python2.7/dist-packages/scipy/sparse/_csparsetools.x86_64-linux-gnu.so

7f2934f18000-7f2934f19000 r--p 00055000 08:12 8521475                   

/usr/lib/python2.7/dist-packages/scipy/sparse/_csparsetools.x86_64-linux-gnu.so

7f2934f19000-7f2934f1f000 rw-p 00056000 08:12 8521475                   

/usr/lib/python2.7/dist-packages/scipy/sparse/_csparsetools.x86_64-linux-gnu.so

7f2934f1f000-7f2935210000 r-xp 00000000 08:12 8521477                   

/usr/lib/python2.7/dist-packages/scipy/sparse/_sparsetools.x86_64-linux-gnu.so

7f2935210000-7f293540f000 ---p 002f1000 08:12 8521477                   

/usr/lib/python2.7/dist-packages/scipy/sparse/_sparsetools.x86_64-linux-gnu.so

7f293540f000-7f2935410000 r--p 002f0000 08:12 8521477                   

/usr/lib/python2.7/dist-packages/scipy/sparse/_sparsetools.x86_64-linux-gnu.so

7f2935410000-7f2935411000 rw-p 002f1000 08:12 8521477                   

/usr/lib/python2.7/dist-packages/scipy/sparse/_sparsetools.x86_64-linux-gnu.so

7f2935411000-7f2935451000 rw-p 00000000 00:00 0 

7f2935451000-7f293547e000 r-xp 00000000 08:12 8520592                   

/usr/lib/python2.7/dist-packages/scipy/integrate/lsoda.x86_64-linux-gnu.so

7f293547e000-7f293567d000 ---p 0002d000 08:12 8520592                   

/usr/lib/python2.7/dist-packages/scipy/integrate/lsoda.x86_64-linux-gnu.so

7f293567d000-7f293567e000 r--p 0002c000 08:12 8520592                   

/usr/lib/python2.7/dist-packages/scipy/integrate/lsoda.x86_64-linux-gnu.so

7f293567e000-7f293567f000 rw-p 0002d000 08:12 8520592                   

/usr/lib/python2.7/dist-packages/scipy/integrate/lsoda.x86_64-linux-gnu.so
7f293567f000-7f2935680000 rw-p 00000000 00:00 0 

7f2935680000-7f293569a000 r-xp 00000000 08:12 8520586                   

/usr/lib/python2.7/dist-packages/scipy/integrate/_dop.x86_64-linux-gnu.so

7f293569a000-7f2935899000 ---p 0001a000 08:12 8520586                   

/usr/lib/python2.7/dist-packages/scipy/integrate/_dop.x86_64-linux-gnu.so

7f2935899000-7f293589a000 r--p 00019000 08:12 8520586                   

/usr/lib/python2.7/dist-packages/scipy/integrate/_dop.x86_64-linux-gnu.so

7f293589a000-7f293589c000 rw-p 0001a000 08:12 8520586                   

/usr/lib/python2.7/dist-packages/scipy/integrate/_dop.x86_64-linux-gnu.so

7f293589c000-7f29358ce000 r-xp 00000000 08:12 8520604                   

/usr/lib/python2.7/dist-packages/scipy/integrate/vode.x86_64-linux-gnu.so

7f29358ce000-7f2935ace000 ---p 00032000 08:12 8520604                   

/usr/lib/python2.7/dist-packages/scipy/integrate/vode.x86_64-linux-gnu.so

7f2935ace000-7f2935acf000 r--p 00032000 08:12 8520604                    /usr/lib/python2.7/dist-packages/scipy/integrate/vode.x86_64-linux-gnu.so

7f2935acf000-7f2935ad1000 rw-p 00033000 08:12 8520604                   

/usr/lib/python2.7/dist-packages/scipy/integrate/vode.x86_64-linux-gnu.so

7f2935ad1000-7f2935aed000 r-xp 00000000 08:12 8520589                   

/usr/lib/python2.7/dist-packages/scipy/integrate/_quadpack.x86_64-linux-gnu.so

7f2935aed000-7f2935ced000 ---p 0001c000 08:12 8520589                   

/usr/lib/python2.7/dist-packages/scipy/integrate/_quadpack.x86_64-linux-gnu.so

7f2935ced000-7f2935cee000 r--p 0001c000 08:12 8520589                   

/usr/lib/python2.7/dist-packages/scipy/integrate/_quadpack.x86_64-linux-gnu.so

7f2935cee000-7f2935cef000 rw-p 0001d000 08:12 8520589                   

/usr/lib/python2.7/dist-packages/scipy/integrate/_quadpack.x86_64-linux-gnu.so

7f2935cef000-7f2935d18000 r-xp 00000000 08:12 8520588                   

/usr/lib/python2.7/dist-packages/scipy/integrate/_odepack.x86_64-linux-gnu.so

7f2935d18000-7f2935f18000 ---p 00029000 08:12 8520588                   

/usr/lib/python2.7/dist-packages/scipy/integrate/_odepack.x86_64-linux-gnu.so

7f2935f18000-7f2935f19000 r--p 00029000 08:12 8520588                   

/usr/lib/python2.7/dist-packages/scipy/integrate/_odepack.x86_64-linux-gnu.so

7f2935f19000-7f2935f1a000 rw-p 0002a000 08:12 8520588                   

/usr/lib/python2.7/dist-packages/scipy/integrate/_odepack.x86_64-linux-gnu.so

7f2935f1a000-7f2935f29000 r-xp 00000000 08:12 8521663                   

/usr/lib/python2.7/dist-packages/scipy/special/_ellip_harm_2.x86_64-linux-gnu.so

7f2935f29000-7f2936129000 ---p 0000f000 08:12 8521663                   

/usr/lib/python2.7/dist-packages/scipy/special/_ellip_harm_2.x86_64-linux-gnu.so

7f2936129000-7f293612a000 r--p 0000f000 08:12 8521663                   

/usr/lib/python2.7/dist-packages/scipy/special/_ellip_harm_2.x86_64-linux-gnu.so

7f293612a000-7f293612c000 rw-p 00010000 08:12 8521663                   

/usr/lib/python2.7/dist-packages/scipy/special/_ellip_harm_2.x86_64-linux-gnu.so

7f293612c000-7f293616c000 rw-p 00000000 00:00 0 

7f293616c000-7f2936172000 r-xp 00000000 08:12 8521661                   

/usr/lib/python2.7/dist-packages/scipy/special/_comb.x86_64-linux-gnu.so

7f2936172000-7f2936371000 ---p 00006000 08:12 8521661                   

/usr/lib/python2.7/dist-packages/scipy/special/_comb.x86_64-linux-gnu.so

7f2936371000-7f2936372000 r--p 00005000 08:12 8521661                   

/usr/lib/python2.7/dist-packages/scipy/special/_comb.x86_64-linux-gnu.so

7f2936372000-7f2936373000 rw-p 00006000 08:12 8521661                   

/usr/lib/python2.7/dist-packages/scipy/special/_comb.x86_64-linux-gnu.so

7f2936373000-7f2936441000 r-xp 00000000 08:12 8521677                   

/usr/lib/python2.7/dist-packages/scipy/special/specfun.x86_64-linux-gnu.so

7f2936441000-7f2936641000 ---p 000ce000 08:12 8521677                   

/usr/lib/python2.7/dist-packages/scipy/special/specfun.x86_64-linux-gnu.so
7f2936641000-7f2936642000 r--p 000ce000 08:12 8521677                   

/usr/lib/python2.7/dist-packages/scipy/special/specfun.x86_64-linux-gnu.so

7f2936642000-7f293664a000 rw-p 000cf000 08:12 8521677                   

/usr/lib/python2.7/dist-packages/scipy/special/specfun.x86_64-linux-gnu.so

7f293664a000-7f2936660000 r-xp 00000000 08:12 8521672                   

/usr/lib/python2.7/dist-packages/scipy/special/_ufuncs_cxx.x86_64-linux-gnu.so

7f2936660000-7f293685f000 ---p 00016000 08:12 8521672                   

/usr/lib/python2.7/dist-packages/scipy/special/_ufuncs_cxx.x86_64-linux-gnu.so

7f293685f000-7f2936860000 r--p 00015000 08:12 8521672                   

/usr/lib/python2.7/dist-packages/scipy/special/_ufuncs_cxx.x86_64-linux-gnu.so

7f2936860000-7f2936861000 rw-p 00016000 08:12 8521672                   

/usr/lib/python2.7/dist-packages/scipy/special/_ufuncs_cxx.x86_64-linux-gnu.so

7f2936861000-7f29369c1000 r-xp 00000000 08:12 8521671                   

/usr/lib/python2.7/dist-packages/scipy/special/_ufuncs.x86_64-linux-gnu.so

7f29369c1000-7f2936bc1000 ---p 00160000 08:12 8521671                   

/usr/lib/python2.7/dist-packages/scipy/special/_ufuncs.x86_64-linux-gnu.so

7f2936bc1000-7f2936bc2000 r--p 00160000 08:12 8521671                   

/usr/lib/python2.7/dist-packages/scipy/special/_ufuncs.x86_64-linux-gnu.so

7f2936bc2000-7f2936be6000 rw-p 00161000 08:12 8521671                   

/usr/lib/python2.7/dist-packages/scipy/special/_ufuncs.x86_64-linux-gnu.so

7f2936be6000-7f2936bed000 rw-p 00000000 00:00 0 

7f2936bed000-7f2936c07000 r-xp 00000000 08:12 8521098                   

/usr/lib/python2.7/dist-packages/scipy/ndimage/_nd_image.x86_64-linux-gnu.so

7f2936c07000-7f2936e06000 ---p 0001a000 08:12 8521098                   

/usr/lib/python2.7/dist-packages/scipy/ndimage/_nd_image.x86_64-linux-gnu.so

7f2936e06000-7f2936e07000 r--p 00019000 08:12 8521098                   

/usr/lib/python2.7/dist-packages/scipy/ndimage/_nd_image.x86_64-linux-gnu.so

7f2936e07000-7f2936e08000 rw-p 0001a000 08:12 8521098                   

/usr/lib/python2.7/dist-packages/scipy/ndimage/_nd_image.x86_64-linux-gnu.so

7f2936e08000-7f2936e48000 rw-p 00000000 00:00 0 

7f2936e48000-7f2936e4e000 r-xp 00000000 08:12 3280814                    /usr/lib/python2.7/lib-dynload/_multiprocessing.x86_64-linux-gnu.so

7f2936e4e000-7f293704d000 ---p 00006000 08:12 3280814                    /usr/lib/python2.7/lib-dynload/_multiprocessing.x86_64-linux-gnu.so

7f293704d000-7f293704e000 r--p 00005000 08:12 3280814                    /usr/lib/python2.7/lib-dynload/_multiprocessing.x86_64-linux-gnu.so

7f293704e000-7f293704f000 rw-p 00006000 08:12 3280814                    /usr/lib/python2.7/lib-dynload/_multiprocessing.x86_64-linux-gnu.so

7f293704f000-7f29370d3000 r-xp 00000000 08:12 8520999                   

/usr/lib/python2.7/dist-packages/scipy/linalg/cython_lapack.x86_64-linux-gnu.so

7f29370d3000-7f29372d2000 ---p 00084000 08:12 8520999                   

/usr/lib/python2.7/dist-packages/scipy/linalg/cython_lapack.x86_64-linux-gnu.so

7f29372d2000-7f29372d3000 r--p 00083000 08:12 8520999                   

/usr/lib/python2.7/dist-packages/scipy/linalg/cython_lapack.x86_64-linux-gnu.so

7f29372d3000-7f29372da000 rw-p 00084000 08:12 8520999                   

/usr/lib/python2.7/dist-packages/scipy/linalg/cython_lapack.x86_64-linux-gnu.so

7f29372da000-7f293731a000 rw-p 00000000 00:00 0 

7f293731a000-7f293734a000 r-xp 00000000 08:12 8520997                   

/usr/lib/python2.7/dist-packages/scipy/linalg/cython_blas.x86_64-linux-gnu.so

#6 - 2017-03-06 01:59 PM - Giovanni Manghi

- Target version set to Version 2.18

- Status changed from Feedback to Open

- Affected QGIS version changed from master to 2.18.4
#7 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#8 - 2017-05-16 06:38 PM - Sandro Santilli

- Description updated

Paolo could you test again with a build from the release-2_18 branch ?

Also, can you attach data and script to reproduce ?

#9 - 2017-05-16 07:06 PM - Paolo Cavallini

Unfortunately I'm currently unable to add -R rasters, so I cannot reproduce the issue.

I'll try again.

Sorry.

#10 - 2017-05-16 09:53 PM - Giovanni Manghi

- Status changed from Open to Feedback

Paolo Cavallini wrote:

Unfortunately I'm currently unable to add -R rasters,

what is the issue with -R rasters=

#11 - 2017-05-17 10:25 AM - Paolo Cavallini

Confirmed with 2.18.7.

I did extensive testing, but I cannot replicate it reliably.

What I did:

 raster2pgsql -s 3003 -I -M -C -R /home/paolo/dtm.tif > dtm_ext.sql

 \i dtm_ext.sql

Then loading in QGIS, zzom > crash.

Data available: http://www.faunalia.eu/~paolo/dtm.tif

I have also:

Warning: RasterIO error: PostGISRasterDataset::LoadSources():

#12 - 2017-05-17 02:01 PM - Giovanni Manghi
- Status changed from Feedback to Open

- Subject changed from Crash when loading PostGIS external raster  to Crash when loading PostGIS  raster 

- Category changed from Rasters to Data Provider/PostGIS

- Affected QGIS version changed from 2.18.4 to 2.18.7

with the same data, on 2.18.7 it also crashes even if the raster is loaded inside the DB. Loading as "external" does not seems the factor here.

#13 - 2017-05-26 12:12 PM - Sandro Santilli

- Assignee set to Sandro Santilli

I'll try reproducing this today.

#14 - 2017-05-26 01:00 PM - Sandro Santilli

Paolo I can load the raster and zoom in and out w/out a crash being produced.

This is with current release-2_18 branch (commit:cea93faa252db67ec007849bad9a7a070dd27b2b targetting 2.18.9) and  

POSTGIS="2.4.0dev r15405" GEOS="3.7.0dev-CAPI-1.11.0 8fe2ce62" PROJ="Rel. 4.9.3, 15 August 2016" GDAL="GDAL 2.3.0dev, released

2017/99/99" LIBXML="2.9.4" LIBJSON="0.12.1" LIBPROTOBUF="1.2.1" TOPOLOGY RASTER

What version of GDAL are you using ? 

Can you reproduce with a more recent one ? 

The one I'm using is r38596 (which gives libgdal.so.20.1.2, while yours is libgdal.so.1)

Is the WARNING you get giving any more info ?

Warning: RasterIO error: PostGISRasterDataset::LoadSources():

#15 - 2017-06-06 03:32 PM - Sandro Santilli

Giovanni had you tried reproducing this ? Paolo ? Anyone else ? 

I can't fix something I cannot reproduce...

#16 - 2017-06-06 03:34 PM - Giovanni Manghi

Sandro Santilli wrote:

Giovanni had you tried reproducing this ? Paolo ? Anyone else ? 

I can't fix something I cannot reproduce...

I had indeed even recently #8073-12

To make my tests I use only clean boxes (usually VMs) with no compiled software, all from the official repositories.

#17 - 2017-06-06 03:40 PM - Sandro Santilli

- Assignee deleted (Sandro Santilli)
Unassigning as it works for me with latest GDAL from master and the backtrace from Paolo seems to indicate the problem is within GDAL (I guess

pgraster driver).

#18 - 2017-06-27 06:52 PM - R. R.

See also: #16754 (duplicate)

#19 - 2017-06-28 01:25 PM - Jürgen Fischer

- Duplicated by Bug report #16754: QGIS crahes when panning or zooming PostGIS raster added

#20 - 2017-07-01 03:01 PM - R. R.

- File qgis_2_18_pg_raster.mp4 added

- File qgis_2_99_pg_raster.mp4 added

Panning or zooming a map with a PostGIS raster works fine here in QGIS 2.99.0 master (313ec55).

#21 - 2017-07-03 01:02 AM - Giovanni Manghi

- Status changed from Open to Feedback

Reinhard Reiterer wrote:

Panning or zooming a map with a PostGIS raster works fine here in QGIS 2.99.0 master (313ec55).

that is a good news! any chance to have the dataset shared as also the exact command you used to load them into postgis? I would like to replicate in the

most similar conditions as possible. Thanks!

#22 - 2017-07-03 11:09 AM - R. R.

Hi Giovanni, you can find the .tif file and the raster2pgsql command here: #16754 (duplicate).

#23 - 2017-09-25 04:22 PM - Giovanni Manghi

- Affected QGIS version changed from 2.18.7 to 2.18.13

- Status changed from Feedback to Open

I assume this

https://lists.osgeo.org/pipermail/qgis-developer/2017-September/049806.html

was on 2.18.12 or .13 so bumping the affected version.

#24 - 2017-09-30 08:28 PM - Martin Gutwin

I have a similar situation as described in #16754 (duplicate) and was also able to replicate the issue there. My QGIS version: 2.18.13. PostGIS is 2.3.3 from
ubuntugis-unstable with GDAL 2.1.1. 

An interesting behaviour I observed is: as long as I zoom by only 1 step at a time (Zoom tool or turn the mousewheel by only 1 click), everything works fine.

As soon as I spin the mousewheel more than one click, QGIS crashes. Can anyone with the error try to replicate that?

Another weird thing happens when I try to load my raster in QGIS (original file: Sentinel 1 GeoTIFF ~700MB, ingested to PostGIS without errors and with

these options: raster2pgsql -I -C -e -Y -F -s 0 -t auto -l 2,4). 

When I try to load it directly after QGIS-startup, QGIS crashes. When I first load any other layer and then load the DB-raster, it "works" in the same way I

described above.

Any ideas?

If you need logs or videos, please provide me with instructions, because I am new to bug tracking.

#25 - 2017-10-01 12:01 PM - Giovanni Manghi

I think that the situation is pretty much clear: postgis rasters are not (still?) not well supported.

#26 - 2018-02-24 04:09 PM - Paolo Cavallini

True. This seems an important functionality missing.

#27 - 2018-02-24 05:07 PM - Giovanni Manghi

- Affected QGIS version changed from 2.18.13 to 2.18.16

#28 - 2018-05-18 05:36 PM - Even Rouault

Support for out-db postgisraster has just been added in GDAL master, and been backported to GDAL 2.3 branch for GDAL 2.3.1, so the main issue

reported here will be fixed once QGIS use it.

This ticket has somehow been 'hijacked' with other issues related to crashes in other contexts, which I can't replicate. I've tried with the data and ingestion

procedure described at https://issues.qgis.org/issues/16754. I presume this might be due to some bugs in older GDAL versions fixed since. I suggest we

close that issue, and, if needed, more focused issues are opened with dataset + GDAL version + exact raster2psql invokation used

#29 - 2018-05-19 11:38 AM - Even Rouault

- Assignee set to Even Rouault

- Status changed from Open to Closed

- Resolution set to up/downstream

Files

qgis_2_18_pg_raster.mp4 2.72 MB 2017-07-01 R. R.

qgis_2_99_pg_raster.mp4 3.59 MB 2017-07-01 R. R.
